# SEO File Names
Seo File Names is a Wordpress plugin. It aims to save you time and boost your SEO by automatically renaming the files you upload to the media library with SEO friendly names.

## SEO File Names
* Contributors: https://afterglow-web.agency
* Donate link: https://www.paypal.com/donate?hosted_button_id=R9VBTGPEG5QXU
* Tags: seo, filename, filenames, file, files, name, names, medialibrary, media, library, editor, gutenberg
* Requires at least: WordPress 4.9.18
* Tested up to: WordPress 5.9.2
* Stable tag: 0.9.35
* Requires PHP: 7.2
* License: GPLv2 or later
* License URI: https://www.gnu.org/licenses/gpl-2.0.html

## Description

**Goal of Seo File Names**
* Seo File Names aims to save you time and boost your SEO by automatically renaming the files you upload to the media library with SEO friendly names.
* This is often overlooked by website authors whereas search engines also rely on file names to understand and index them.
* It also happens to me very often that clients ask me to upload many images and documents to their website. This plugin has saved me a lot of time by removing the automatic renaming software step (and license fees) before importing the files.

**How does Seo File Names works?**
* When you upload a file to the media library, Seo File Names gathers datas from the post, page or term you are currently editing: *title, slug, category, tag or taxonomy, type, dates, author...*
* ...plus the global site datas: *site name and site description, useful to reinforce your brand.*
* With this datas, you build the file names using the predefined tags.
* You can insert arbitrary text between each tag.
* The arbitrary text can only contain the characters [a-z], [0-9], space and '-'.
* Special characters, accented characters and capital letters will be filtered out.
* Each part of the file name will be separated from the others by dashes if they are not.

## FAQ

### First Time Using

**By default Seo File Names is paused.**
* Go to Seo File Names settings page in Settings > Seo File Names
* Set your file naming scheme, disable pause and save.
* If no scheme is defined, the default file naming scheme used to rewrite your filenames is {site name}-{site description}-{original filename}.

### Settings

* You can pause Seo File Names anytime by going to Settings > Seo File Names and enabling pause option. It is much better than disabling it.
* You can of course update your file naming scheme whenever you like. Remember to use it according to your batch sessions.

### What is the best way to use Seo File Names

* Seo File Names works best when adding files to the media library while editing articles, pages or terms, as it uses the datas being edited.
* If you upload files directly from the media library page, generic tags are processed (site name, site description, original file name), others are ignored.

## Contribute

* You can contribute to Seo File Names through Github by creating a pull request.

https://github.com/AfterglowWeb/afg-seo-file-names/

* If you are interested in further collaboration, just [leave me a message on this page](https://afterglow-web.agency "Création de site web à Nice").

## Changelog

### 0.9.35
Tested up to Wordpress 5.9.2

### 0.9.34
Bug fix: asf_preGetslug function removed as conflicting with other plugins

### 0.9.33
New feature: Users selection field

### 0.9.32
Full support for PHP 7.2.0

### 0.9.31
Deactivate SEO File Names if PHP version is lower than 7.3.0

### 0.9.3
Major security fixes after 1st WordPress Plugin Directory team review.
Class asf_Sanitize added.
sanitize.js added.

### 0.9.21
Bug fix on multiple tabs opened.

### 0.9.2
Datas without saving : full support for classic editor.

### 0.9.1
First public realease.